Subject: [I18ndir] draft-faltstrom-unicode11-08.txt & draft-faltstrom-unicode12-00.txt

From: "Patrik Fältström" <[email-masked]>
Date: Tue, 12 Mar 2019 08:22:30 +0900

All,

I have now made draft-faltstrom-unicode11-08.txt available.

Please note there is one (1) important question which is now more precisely highlighted in section 5, which reads:

5.  U+111C9 SHARADA SANDHI MARK

   As one can see in Section 4, there is one incompatible change made
   between Unicode 6.2.0 and 11.0.0, the code point U+111C9.  It has
   changed derived property value from DISALLOWED to PVALID.  In
   situations like these, IDNA2008 allow for addition of rules to RFC
   5892 [RFC5892] section 2.7.  (BackwardCompatible (G)).  The code
   point if being accepted might due to implementations of IDNA2008
   based on older versions of Unicode 11.0.0 be rejected.  As the
   character is rarely used outside of the group of Sharada specialist,
   and used in some records for indicating sandhi breaks, the conclusion
   is that it could be added as an exception as well as change property
   value as the use of the code point is limited outside a special
   community.  As including an exception would require implementation
   changes in deployed implementations of IDNA20008, the editor proposes
   that such a BackwardCompatible rule NOT to be added to IDNA2008.

What is important here to understand is that this is the only(!) incompatible change made between Unicode 6.2.0 and Unicode 11.0.0. This can be resolved in two ways:

1. Ignore, and allow there to be an incompatibility.

2. Add a backward compatible rule to 5892.

As explained elsewhere in the document, there was three code points earlier that had incompatibilities the same way. IETF in RFC 6452 decided that no backward compatibility rule was to be added.

I as editor propose this decision also this time, i.e. alternative [1].

And that is what is reflected in the document.

Now, to add some spice to all of this, I have also submitted draft-faltstrom-unicode12-00.txt which is exactly the same document as draft-faltstrom-unicode11-08.txt but extended to also include Unicode 12.0.0.

:-)

Have a nice day!

   Patrik

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 12 Mar 2019 01:04:53 +0100

>    that such a BackwardCompatible rule NOT to be added to IDNA2008.

Given that this is being approved for publication, I'd suggest to
rephrase as:

   As the
   character is rarely used outside of the group of Sharada specialists,
   and used in some records for indicating sandhi breaks, the conclusion
   is that it could either be added as an exception or allowed to change its property
   value, as the use of the code point is limited outside a special
   community.

   EDITOR PROPOSAL:

   The IETF has decided to NOT add a BackwardCompatble rule to IDNA2008 for this character.

   NOTE TO RFC EDITOR:
   Please remove the words "EDITOR PROPOSAL:" and this paragraph subsequent to IETF approval.

All part of the work of getting from "this is a draft proposal" (I-D) to "this is the decision of the IETF" (RFC).

-- 
Surveillance is pervasive. Go Dark.

---

From: Martin J. Dürst <[email-masked]>
Date: Tue, 12 Mar 2019 04:09:48 +0000

Hello Patrik, others,

On 2019/03/12 09:04, Harald Alvestrand wrote:
>>     and used in some records for indicating sandhi breaks,

Given that sandhi are liaisons (similar to how they occur in French), I 
find the term "sandhi break" somewhat confusing, but if you got that 
from an Unicode document, it should be okay.

>>     the conclusion

I think it would be good to add the final state in positive terms. That 
puts less stress on the user to try and understand all the negations and 
indirections. If I understand correctly, as of our document, this 
character is PVALID. So I would say something like:

The IETF has decided to NOT add a BackwardCompatble rule to IDNA2008 for 
this character. Therefore, this character is now PVALID.

>> Now, to add some spice to all of this, I have also submitted draft-faltstrom-unicode12-00.txt which is exactly the same document as draft-faltstrom-unicode11-08.txt but extended to also include Un…

Good job. Let's see whether we can catch up.

>> Have a nice day!

You too. I very much hope you can get some good sleep between ICANN 
meetings, editing these drafts, and jetlag.

Regards,    Martin.

P.S.: Ruby trunk was updated to Unicode 12.0.0 a few hours after the 
official release.